Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLUnstructuredDataReader Class Reference

`#include <vtkXMLUnstructuredDataReader.h>`

Inheritance diagram for vtkXMLUnstructuredDataReader:

[legend]
Collaboration diagram for vtkXMLUnstructuredDataReader:

[legend]
List of all members.

## Detailed Description

Superclass for unstructured data XML readers.

Date:
  2002/12/31 21:58:34

Revision:
  1.3

vtkXMLUnstructuredDataReader provides functionality common to all unstructured data format readers.

See also:
  vtkXMLPolyDataReader vtkXMLUnstructuredGridReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (98%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLUnstructuredDataReader.h)`
  - .`cxx` (`/IO/vtkXMLUnstructuredDataReader.cxx)`

Definition at line 49 of file vtkXMLUnstructuredDataReader.h.

## Public Types
typedef vtkXMLDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual vtkIdType | GetNumberOfPoints ()
virtual vtkIdType | GetNumberOfCells ()
void | SetupUpdateExtent (int piece, int numberOfPieces, int ghostLevel)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLUnstructuredDataReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLUnstructuredDataReader ()
| ~vtkXMLUnstructuredDataReader ()
vtkPointSet * | GetOutputAsPointSet ()
vtkXMLDataElement * | FindDataArrayWithName (vtkXMLDataElement *eParent, const char *name)
vtkIdTypeArray * | ConvertToIdTypeArray (vtkDataArray *a)
vtkUnsignedCharArray * | ConvertToUnsignedCharArray (vtkDataArray *a)
void | ReadXMLData ()
virtual void | SetupEmptyOutput ()
virtual void | GetOutputUpdateExtent (int &piece, int &numberOfPieces, int &ghostLevel)=0
virtual void | SetupOutputTotals ()
virtual void | SetupNextPiece ()
void | SetupPieces (int numPieces)
void | DestroyPieces ()
void | SetupOutputInformation ()
void | SetupOutputData ()
int | ReadPiece (vtkXMLDataElement *ePiece)
int | ReadPieceData ()
int | ReadCellArray (vtkIdType numberOfCells, vtkIdType totalNumberOfCells, vtkXMLDataElement *eCells, vtkCellArray *outCells)
int | ReadArrayForPoints (vtkXMLDataElement *da, vtkDataArray *outArray)
## Protected Attributes
int | UpdatePiece
int | UpdateNumberOfPieces
int | UpdateGhostLevel
int | StartPiece
int | EndPiece
vtkIdType | TotalNumberOfPoints
vtkIdType | TotalNumberOfCells
vtkIdType | StartPoint
vtkXMLDataElement ** | PointElements
vtkIdType * | NumberOfPoints

## Member Typedef Documentation

typedef vtkXMLDataReader vtkXMLUnstructuredDataReader::Superclass

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader. Definition at line 52 of file vtkXMLUnstructuredDataReader.h.

## Constructor & Destructor Documentation

vtkXMLUnstructuredDataReader::vtkXMLUnstructuredDataReader | ( |  | ) | `[protected]`

vtkXMLUnstructuredDataReader::~vtkXMLUnstructuredDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLUnstructuredDataReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

int vtkXMLUnstructuredDataReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

virtual int vtkXMLUnstructuredDataReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

vtkXMLUnstructuredDataReader* vtkXMLUnstructuredDataReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

void vtkXMLUnstructuredDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

virtual vtkIdType vtkXMLUnstructuredDataReader::GetNumberOfPoints | ( |  | ) | `[virtual]`

| Get the number of points in the output. Implements vtkXMLDataReader.

virtual vtkIdType vtkXMLUnstructuredDataReader::GetNumberOfCells | ( |  | ) | `[virtual]`

| Get the number of cells in the output. Implements vtkXMLDataReader.

void vtkXMLUnstructuredDataReader::SetupUpdateExtent | ( | int | piece,
|  | int | numberOfPieces,
|  | int | ghostLevel
| ) |

| Setup the reader as if the given update extent were requested by its output. This can be used after an UpdateInformation to validate GetNumberOfPoints() and GetNumberOfCells() without actually reading data.

vtkPointSet* vtkXMLUnstructuredDataReader::GetOutputAsPointSet | ( |  | ) | `[protected]`

vtkXMLDataElement* vtkXMLUnstructuredDataReader::FindDataArrayWithName | ( | vtkXMLDataElement * | eParent,
|  | const char * | name
| ) | `[protected]`

vtkIdTypeArray* vtkXMLUnstructuredDataReader::ConvertToIdTypeArray | ( | vtkDataArray * | a | ) | `[protected]`

vtkUnsignedCharArray* vtkXMLUnstructuredDataReader::ConvertToUnsignedCharArray | ( | vtkDataArray * | a | ) | `[protected]`

void vtkXMLUnstructuredDataReader::ReadXMLData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLReader.

virtual void vtkXMLUnstructuredDataReader::SetupEmptyOutput | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

virtual void vtkXMLUnstructuredDataReader::GetOutputUpdateExtent | ( | int & | piece,
|  | int & | numberOfPieces,
|  | int & | ghostLevel
| ) | `[protected, pure virtual]`

| Implemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

virtual void vtkXMLUnstructuredDataReader::SetupOutputTotals | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

virtual void vtkXMLUnstructuredDataReader::SetupNextPiece | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

void vtkXMLUnstructuredDataReader::SetupPieces | ( | int | numPieces | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

void vtkXMLUnstructuredDataReader::DestroyPieces | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

void vtkXMLUnstructuredDataReader::SetupOutputInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

void vtkXMLUnstructuredDataReader::SetupOutputData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

int vtkXMLUnstructuredDataReader::ReadPiece | ( | vtkXMLDataElement * | ePiece | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

int vtkXMLUnstructuredDataReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader. Reimplemented in vtkXMLPolyDataReader, and vtkXMLUnstructuredGridReader.

int vtkXMLUnstructuredDataReader::ReadCellArray | ( | vtkIdType | numberOfCells,
|  | vtkIdType | totalNumberOfCells,
|  | vtkXMLDataElement * | eCells,
|  | vtkCellArray * | outCells
| ) | `[protected]`

int vtkXMLUnstructuredDataReader::ReadArrayForPoints | ( | vtkXMLDataElement * | da,
|  | vtkDataArray * | outArray
| ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

## Member Data Documentation

int vtkXMLUnstructuredDataReader::UpdatePiece`[protected]`

| Definition at line 99 of file vtkXMLUnstructuredDataReader.h.

int vtkXMLUnstructuredDataReader::UpdateNumberOfPieces`[protected]`

| Definition at line 100 of file vtkXMLUnstructuredDataReader.h.

int vtkXMLUnstructuredDataReader::UpdateGhostLevel`[protected]`

| Definition at line 101 of file vtkXMLUnstructuredDataReader.h.

int vtkXMLUnstructuredDataReader::StartPiece`[protected]`

| Definition at line 104 of file vtkXMLUnstructuredDataReader.h.

int vtkXMLUnstructuredDataReader::EndPiece`[protected]`

| Definition at line 105 of file vtkXMLUnstructuredDataReader.h.

vtkIdType vtkXMLUnstructuredDataReader::TotalNumberOfPoints`[protected]`

| Definition at line 106 of file vtkXMLUnstructuredDataReader.h.

vtkIdType vtkXMLUnstructuredDataReader::TotalNumberOfCells`[protected]`

| Definition at line 107 of file vtkXMLUnstructuredDataReader.h.

vtkIdType vtkXMLUnstructuredDataReader::StartPoint`[protected]`

| Definition at line 108 of file vtkXMLUnstructuredDataReader.h.

vtkXMLDataElement** vtkXMLUnstructuredDataReader::PointElements`[protected]`

| Definition at line 111 of file vtkXMLUnstructuredDataReader.h.

vtkIdType* vtkXMLUnstructuredDataReader::NumberOfPoints`[protected]`

| Definition at line 112 of file vtkXMLUnstructuredDataReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLUnstructuredDataReader.h